petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCCompositeSetType

Sets the type of composite preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeSetType(PC pc,PCCompositeType type)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - PC_COMPOSITE_ADDITIVE (default), PC_COMPOSITE_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL

### Options Database Key

-pc_composite_type <type: one of multiplicative, additive, special> -Sets composite preconditioner type

### Keywords

PC, set, type, composite preconditioner, additive, multiplicative

### Level

Developer

### Location

src/ksp/pc/impls/composite/composite.c

### Implementations

PCCompositeSetType_Composite in src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages